Method: accounts.products.localInventories.list

Lists the LocalInventory resources for the given product in your merchant account. The response might contain fewer items than specified by pageSize. If pageToken was returned in previous request, it can be used to obtain additional results.

LocalInventory resources are listed per product for a given account.

HTTP request

GET https://merchantapi.googleapis.com/inventories/v1/{parent=accounts/*/products/*}/localInventories

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The name of the parent product to list local inventories for. Format: accounts/{account}/products/{product}

The {product} segment is a unique identifier for the product. This identifier must be unique within a merchant account and generally follows the structure: contentLanguage~feedLabel~offerId. Example: en~US~sku123 For legacy local products, the structure is: local~contentLanguage~feedLabel~offerId. Example: local~en~US~sku123

The format of the {product} segment in the URL is automatically detected by the server, supporting two options:

  1. Encoded Format: The {product} segment is an unpadded base64url encoded string (RFC 4648 Section 5). The decoded string must result in the contentLanguage~feedLabel~offerId structure. This encoding MUST be used if any part of the product identifier (like offerId) contains characters such as /, %, or ~.

    • Example: To represent the product ID en~US~sku/123, the {product} segment must be the base64url encoding of this string, which is ZW5-VVMtc2t1LzEyMw. The full resource name for the product would be accounts/123/products/ZW5-VVMtc2t1LzEyMw.
  2. Plain Format: The {product} segment is the tilde-separated string contentLanguage~feedLabel~offerId. This format is suitable only when contentLanguage, feedLabel, and offerId do not contain URL-problematic characters like /, %, or ~.

We recommend using the Encoded Format for all product IDs to ensure correct parsing, especially those containing special characters. The presence of tilde (~) characters in the {product} segment is used to differentiate between the two formats.

Note: For calls to the v1beta version, the plain format is channel~contentLanguage~feedLabel~offerId, for example: accounts/123/products/online~en~US~sku123.

Query parameters

Parameters
pageSize

integer

The maximum number of LocalInventory resources for the given product to return. The service returns fewer than this value if the number of inventories for the given product is less that than the pageSize. The default value is 25000. The maximum value is 25000; If a value higher than the maximum is specified, then the pageSize will default to the maximum

pageToken

string

A page token, received from a previous localInventories.list call. Provide the page token to retrieve the subsequent page.

When paginating, all other parameters provided to localInventories.list must match the call that provided the page token. The token returned as nextPageToken in the response to the previous request.

Request body

The request body must be empty.

Response body

Response message for the localInventories.list method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "localInventories": [
    {
      object (LocalInventory)
    }
  ],
  "nextPageToken": string
}
Fields
localInventories[]

object (LocalInventory)

The LocalInventory resources for the given product from the specified account.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/content

For more information, see the OAuth 2.0 Overview.